package com.pj.ht_declare_chargeback;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_declare_chargeback -- 进出口申报单退单(010)
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtDeclareChargebackService extends ServiceImpl<HtDeclareChargebackMapper, HtDeclareChargeback> implements IService<HtDeclareChargeback>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtDeclareChargebackMapper htDeclareChargebackMapper;

	/** 增 */
	void add(HtDeclareChargeback h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtDeclareChargeback h){
		updateById(h);

	}

	/** 查 */
	HtDeclareChargeback getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<HtDeclareChargeback> getList(SoMap so) {
		return htDeclareChargebackMapper.getList(so);
	}


}
